- [HTTP request](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics/list#body.request_body)
- [Response body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics/list#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics/list#body.ListRubricsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics/list#body.aspect)
- [Try it!](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics/list#try-it)

Returns a list of rubrics that the requester is permitted to view.

This method returns the following error codes:

- `PERMISSION_DENIED` for [access errors](https://developers.google.com/workspace/classroom/reference/Access.Errors).
- `INVALID_ARGUMENT` if the request is malformed.
- `NOT_FOUND` if the requested course or course work doesn't exist or if the user doesn't have access to the corresponding course work.

### HTTP request

`GET https://classroom.googleapis.com/v1/courses/{courseId}/courseWork/{courseWorkId}/rubrics`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `courseId` | `string` Required. Identifier of the course. |
| `courseWorkId` | `string` Required. Identifier of the course work. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of rubrics to return. If unspecified, at most 1 rubric is returned. The maximum value is 1; values above 1 are coerced to 1. |
| `pageToken` | `string` `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics/list#body.ListRubricsResponse.FIELDS.next_page_token` value returned from a previous `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics/list#google.classroom.v1.Rubrics.ListRubrics` call, indicating that the subsequent page of results should be returned. The `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics/list#google.classroom.v1.Rubrics.ListRubrics` request must be otherwise identical to the one that resulted in this token. |
| `previewVersion` | ``enum (`https://developers.google.com/workspace/classroom/reference/rest/v1/PreviewVersion`)`` Optional. The preview version of the API. This must be set in order to access new API capabilities made available to developers in the Preview Program. |

### Request body

The request body must be empty.

### Response body

Response when listing rubrics.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "rubrics": [ { object (`https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics#Rubric`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `rubrics[]` | ``object (`https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics#Rubric`)`` Rubrics that match the request. |
| `nextPageToken` | `string` Token identifying the next page of results to return. If empty, no further results are available. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/classroom.coursework.students.readonly`
- `
  https://www.googleapis.com/auth/classroom.coursework.me.readonly`
- `
  https://www.googleapis.com/auth/classroom.coursework.students`
- `
  https://www.googleapis.com/auth/classroom.coursework.me`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).